package com.idea.buildManage.excel;

import com.alibaba.excel.annotation.ExcelIgnore;
import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

@Data
public class ParkFloorDiscExcel {

    @ExcelProperty(value = "楼盘/小区名称")
    private String groupName;

    @ExcelProperty(value = "分期名称")
    private String name;

    @ExcelProperty(value = "房屋买卖单价（元/㎡）")
    private String unitPrice;

    @ExcelProperty(value = "物业费单价（元/㎡）")
    private String propertyUnitPrice;

    @ExcelProperty(value = "住宅专项维修资金（元/㎡）")
    private String maintenanceFunds;

    @ExcelProperty(value = "认购金（元）")
    private String subscriptionFunds;

    @ExcelProperty(value = "共持比例")
    private String proportion;

    @ExcelProperty(value = "支付方式")
    private String paymentMethods;

    @ExcelIgnore
    private String reason;

}
