package com.idea.buildManage.response;

import com.idea.buildManage.model.ParkRoom;

import java.util.List;

public class ParkRoomResponse extends ParkRoom {

    private String buildName;

    private String groupName;

    private String floorName;

    //add - 逻辑字段 - 租赁公司
    public String enterpriseName;

    /**
     * 绑定人员
     */
    private String manageName;

    /**
     * 房屋朝向集合
     */
    private List<String> directions;

    /**
     * 楼盘名称
     */
    private String floorDiscName;

    /**
     * 房屋楼盘名称集合
     */
    private List<String> floorDiscNames;

    /**
     * 房屋状态集合
     */
    private List<String> states;

    /**
     * 房屋用途集合
     */
    private List<String> roomUses;

    /**
     * 房屋是否可用
     */
    private List<String> isEnables;

    /**
     * 物业性质
     */
    private List<String> propertyNatures;

    /**
     * 签章
     */
    private List<String> currentStates;

    /**
     * 树id
     */
    private String nodeId;

    /**
     * 树层级
     */
    private String level;

    private String yearMonth;

    private String yearMonthDay;

    private String sizeStart;

    private String sizeEnd;

    public String getSizeStart() {
        return sizeStart;
    }

    public void setSizeStart(String sizeStart) {
        this.sizeStart = sizeStart;
    }

    public String getSizeEnd() {
        return sizeEnd;
    }

    public void setSizeEnd(String sizeEnd) {
        this.sizeEnd = sizeEnd;
    }

    public String getYearMonth() {
        return yearMonth;
    }

    public void setYearMonth(String yearMonth) {
        this.yearMonth = yearMonth;
    }

    public String getYearMonthDay() {
        return yearMonthDay;
    }

    public void setYearMonthDay(String yearMonthDay) {
        this.yearMonthDay = yearMonthDay;
    }

    public String getFloorName() {
        return floorName;
    }

    public void setFloorName(String floorName) {
        this.floorName = floorName;
    }

    public List<String> getCurrentStates() {
        return currentStates;
    }

    public void setCurrentStates(List<String> currentStates) {
        this.currentStates = currentStates;
    }

    public String getNodeId() {
        return nodeId;
    }

    public void setNodeId(String nodeId) {
        this.nodeId = nodeId;
    }

    public String getLevel() {
        return level;
    }

    public void setLevel(String level) {
        this.level = level;
    }

    public String getBuildName() {
        return buildName;
    }

    public void setBuildName(String buildName) {
        this.buildName = buildName;
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName;
    }

    public String getEnterpriseName() {
        return enterpriseName;
    }

    public void setEnterpriseName(String enterpriseName) {
        this.enterpriseName = enterpriseName;
    }

    public String getManageName() {
        return manageName;
    }

    public void setManageName(String manageName) {
        this.manageName = manageName;
    }

    public List<String> getDirections() {
        return directions;
    }

    public void setDirections(List<String> directions) {
        this.directions = directions;
    }

    public String getFloorDiscName() {
        return floorDiscName;
    }

    public void setFloorDiscName(String floorDiscName) {
        this.floorDiscName = floorDiscName;
    }

    public List<String> getFloorDiscNames() {
        return floorDiscNames;
    }

    public void setFloorDiscNames(List<String> floorDiscNames) {
        this.floorDiscNames = floorDiscNames;
    }

    public List<String> getStates() {
        return states;
    }

    public void setStates(List<String> states) {
        this.states = states;
    }

    public List<String> getRoomUses() {
        return roomUses;
    }

    public void setRoomUses(List<String> roomUses) {
        this.roomUses = roomUses;
    }

    public List<String> getIsEnables() {
        return isEnables;
    }

    public void setIsEnables(List<String> isEnables) {
        this.isEnables = isEnables;
    }

    public List<String> getPropertyNatures() {
        return propertyNatures;
    }

    public void setPropertyNatures(List<String> propertyNatures) {
        this.propertyNatures = propertyNatures;
    }
}