package com.idea.buildManage.model;

import java.io.Serializable;
import java.util.Date;

public class MnpBuilding implements Serializable {
    private String id;

    private String groupId;

    private String groupName;

    private String discId;

    private String discName;

    private Integer orderNum;

    private String buildNum;

    private String constructionNum;

    private Double area;

    private Double residentialArea;

    private Double unResidentialArea;

    private Double coverAnArea;

    private Double undergroundArea;

    private String roomNum;

    private String numberInfo;

    private Integer floors;

    private Integer overgroundFloors;

    private Integer undergroundFloors;

    private String structure;

    private String regionalismCode;

    private String landCode;

    private String createdId;

    private Date createdAt;

    private Date updatedAt;

    private String updatedId;

    private String remark;

    private String priceRemark;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId == null ? null : groupId.trim();
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName == null ? null : groupName.trim();
    }

    public String getDiscId() {
        return discId;
    }

    public void setDiscId(String discId) {
        this.discId = discId == null ? null : discId.trim();
    }

    public String getDiscName() {
        return discName;
    }

    public void setDiscName(String discName) {
        this.discName = discName == null ? null : discName.trim();
    }

    public Integer getOrderNum() {
        return orderNum;
    }

    public void setOrderNum(Integer orderNum) {
        this.orderNum = orderNum;
    }

    public String getBuildNum() {
        return buildNum;
    }

    public void setBuildNum(String buildNum) {
        this.buildNum = buildNum == null ? null : buildNum.trim();
    }

    public String getConstructionNum() {
        return constructionNum;
    }

    public void setConstructionNum(String constructionNum) {
        this.constructionNum = constructionNum == null ? null : constructionNum.trim();
    }

    public Double getArea() {
        return area;
    }

    public void setArea(Double area) {
        this.area = area;
    }

    public Double getResidentialArea() {
        return residentialArea;
    }

    public void setResidentialArea(Double residentialArea) {
        this.residentialArea = residentialArea;
    }

    public Double getUnResidentialArea() {
        return unResidentialArea;
    }

    public void setUnResidentialArea(Double unResidentialArea) {
        this.unResidentialArea = unResidentialArea;
    }

    public Double getCoverAnArea() {
        return coverAnArea;
    }

    public void setCoverAnArea(Double coverAnArea) {
        this.coverAnArea = coverAnArea;
    }

    public Double getUndergroundArea() {
        return undergroundArea;
    }

    public void setUndergroundArea(Double undergroundArea) {
        this.undergroundArea = undergroundArea;
    }

    public String getRoomNum() {
        return roomNum;
    }

    public void setRoomNum(String roomNum) {
        this.roomNum = roomNum == null ? null : roomNum.trim();
    }

    public String getNumberInfo() {
        return numberInfo;
    }

    public void setNumberInfo(String numberInfo) {
        this.numberInfo = numberInfo == null ? null : numberInfo.trim();
    }

    public Integer getFloors() {
        return floors;
    }

    public void setFloors(Integer floors) {
        this.floors = floors;
    }

    public Integer getOvergroundFloors() {
        return overgroundFloors;
    }

    public void setOvergroundFloors(Integer overgroundFloors) {
        this.overgroundFloors = overgroundFloors;
    }

    public Integer getUndergroundFloors() {
        return undergroundFloors;
    }

    public void setUndergroundFloors(Integer undergroundFloors) {
        this.undergroundFloors = undergroundFloors;
    }

    public String getStructure() {
        return structure;
    }

    public void setStructure(String structure) {
        this.structure = structure == null ? null : structure.trim();
    }

    public String getRegionalismCode() {
        return regionalismCode;
    }

    public void setRegionalismCode(String regionalismCode) {
        this.regionalismCode = regionalismCode == null ? null : regionalismCode.trim();
    }

    public String getLandCode() {
        return landCode;
    }

    public void setLandCode(String landCode) {
        this.landCode = landCode == null ? null : landCode.trim();
    }

    public String getCreatedId() {
        return createdId;
    }

    public void setCreatedId(String createdId) {
        this.createdId = createdId == null ? null : createdId.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getUpdatedId() {
        return updatedId;
    }

    public void setUpdatedId(String updatedId) {
        this.updatedId = updatedId == null ? null : updatedId.trim();
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark == null ? null : remark.trim();
    }

    public String getPriceRemark() {
        return priceRemark;
    }

    public void setPriceRemark(String priceRemark) {
        this.priceRemark = priceRemark == null ? null : priceRemark.trim();
    }
}