package com.idea.buildManage.model;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

public class ParkInfo implements Serializable {
    private String id;

    private String groupId;

    private String groupName;

    private String createdId;

    private Date createdAt;

    private Date updatedAt;

    private String nature;

    private String preSalesLicenseNumber;

    private String companyId;

    private Double buildArea;

    private Double landArea;

    private String projectApprovalDocument;

    private String engineeringPlanningPermit;

    private String constructionPermit;

    private String landCertificateNumber;

    private String landUsePermitNumber;

    private Double volumeRatio;

    private Double greenRatio;

    private BigDecimal price;

    private BigDecimal exceededPrice;

    private Integer areaStatus;

    private Integer saleStatus;

    private String regionalismCode;

    private String address;

    private String introduction;

    private static final long serialVersionUID = 1L;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id == null ? null : id.trim();
    }

    public String getGroupId() {
        return groupId;
    }

    public void setGroupId(String groupId) {
        this.groupId = groupId == null ? null : groupId.trim();
    }

    public String getGroupName() {
        return groupName;
    }

    public void setGroupName(String groupName) {
        this.groupName = groupName == null ? null : groupName.trim();
    }

    public String getCreatedId() {
        return createdId;
    }

    public void setCreatedId(String createdId) {
        this.createdId = createdId == null ? null : createdId.trim();
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public String getNature() {
        return nature;
    }

    public void setNature(String nature) {
        this.nature = nature == null ? null : nature.trim();
    }

    public String getPreSalesLicenseNumber() {
        return preSalesLicenseNumber;
    }

    public void setPreSalesLicenseNumber(String preSalesLicenseNumber) {
        this.preSalesLicenseNumber = preSalesLicenseNumber == null ? null : preSalesLicenseNumber.trim();
    }

    public String getCompanyId() {
        return companyId;
    }

    public void setCompanyId(String companyId) {
        this.companyId = companyId == null ? null : companyId.trim();
    }

    public Double getBuildArea() {
        return buildArea;
    }

    public void setBuildArea(Double buildArea) {
        this.buildArea = buildArea;
    }

    public Double getLandArea() {
        return landArea;
    }

    public void setLandArea(Double landArea) {
        this.landArea = landArea;
    }

    public String getProjectApprovalDocument() {
        return projectApprovalDocument;
    }

    public void setProjectApprovalDocument(String projectApprovalDocument) {
        this.projectApprovalDocument = projectApprovalDocument == null ? null : projectApprovalDocument.trim();
    }

    public String getEngineeringPlanningPermit() {
        return engineeringPlanningPermit;
    }

    public void setEngineeringPlanningPermit(String engineeringPlanningPermit) {
        this.engineeringPlanningPermit = engineeringPlanningPermit == null ? null : engineeringPlanningPermit.trim();
    }

    public String getConstructionPermit() {
        return constructionPermit;
    }

    public void setConstructionPermit(String constructionPermit) {
        this.constructionPermit = constructionPermit == null ? null : constructionPermit.trim();
    }

    public String getLandCertificateNumber() {
        return landCertificateNumber;
    }

    public void setLandCertificateNumber(String landCertificateNumber) {
        this.landCertificateNumber = landCertificateNumber == null ? null : landCertificateNumber.trim();
    }

    public String getLandUsePermitNumber() {
        return landUsePermitNumber;
    }

    public void setLandUsePermitNumber(String landUsePermitNumber) {
        this.landUsePermitNumber = landUsePermitNumber == null ? null : landUsePermitNumber.trim();
    }

    public Double getVolumeRatio() {
        return volumeRatio;
    }

    public void setVolumeRatio(Double volumeRatio) {
        this.volumeRatio = volumeRatio;
    }

    public Double getGreenRatio() {
        return greenRatio;
    }

    public void setGreenRatio(Double greenRatio) {
        this.greenRatio = greenRatio;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public BigDecimal getExceededPrice() {
        return exceededPrice;
    }

    public void setExceededPrice(BigDecimal exceededPrice) {
        this.exceededPrice = exceededPrice;
    }

    public Integer getAreaStatus() {
        return areaStatus;
    }

    public void setAreaStatus(Integer areaStatus) {
        this.areaStatus = areaStatus;
    }

    public Integer getSaleStatus() {
        return saleStatus;
    }

    public void setSaleStatus(Integer saleStatus) {
        this.saleStatus = saleStatus;
    }

    public String getRegionalismCode() {
        return regionalismCode;
    }

    public void setRegionalismCode(String regionalismCode) {
        this.regionalismCode = regionalismCode == null ? null : regionalismCode.trim();
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address == null ? null : address.trim();
    }

    public String getIntroduction() {
        return introduction;
    }

    public void setIntroduction(String introduction) {
        this.introduction = introduction == null ? null : introduction.trim();
    }
}